> For the complete documentation index, see [llms.txt](https://docs.archisketch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.archisketch.com/guide/dev-en/contents/model-viewer/3d.md).

# 4.1. Model Viewer: 3D

A brief introduction to the 3D Modeling Viewer and a guide to its URL structure.

## 3D Model Viewer

This guide explains the **"3D Model Viewer"** in the following order:

1. **3D Model Viewer: Overview**
2. **3D Model Viewer: URL Structure**

## 3D Model Viewer: Overview

{% embed url="<https://cylinder.archisketch.com/?id=X1MNWceF0DE919CAF004414>" %}

### 📌 Furniture Library: How to Upload 3D Models

👇 Please refer to the video below for **"How to Upload 3D Models to the Furniture Library."**

{% embed url="<https://www.youtube.com/watch?v=fjAYpy_lJsI>" %}

### 📌 3D Model Viewer: How to Check

**The 3D Model Viewer** becomes available once a model is uploaded to the **"Furniture"** section within the **\[Archisketch Dashboard > Enterprise Library]**.\
Once the model is successfully uploaded to the furniture library, you can instantly view it via **\[1) The AR Viewer button]**, or **\[2) The Share/Embed button]**.

![Group\_348](https://2022546525-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FzuhZcfibLLAjHWVSIXSz%2Fuploads%2Fgit-blob-328b637d74841dcb2d0b9a7f8f548fe3ec8a8994%2Fmodel-viewer_3d-1.png?alt=media)

## 3D Model Viewer: URL Structure

> **Try it out via the demo page below!**

{% embed url="<https://codepen.io/Archisketch/pen/YzYoGwW>" %}

**The 3D Model Viewer** follows the general URL format below.\
You can also customize the viewer using additional query parameters.

### 📌 URL Format

```
https://cylinder.archisketch.com/?id={productID}&mode=3d
```

### 📌 Query Parameter

| **Parameter** | **Description**                                                                 |
| ------------- | ------------------------------------------------------------------------------- |
| `mode=3d`     | Sets the viewer mode. (default: mode=3d)                                        |
| `hideInfo=1`  | Hides the **Information button**.                                               |
| `hideQr=1`    | Hides the **QR code**.                                                          |
| `hideAr=1`    | Hides the **AR button** (only appears on mobile devices).                       |
| `hideHand=1`  | Hides the **hand guide** that appears after 3 seconds of inactivity in 3D mode. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.archisketch.com/guide/dev-en/contents/model-viewer/3d.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
